Bug 1700701 - Remove MachineDeployment and update cluster-autoscaler to not depend on them being present.
Summary: Remove MachineDeployment and update cluster-autoscaler to not depend on them ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Andrew McDermott
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 08:01 UTC by Andrew McDermott
Modified: 2019-06-04 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:50 UTC

Description Andrew McDermott 2019-04-17 08:01:56 UTC
The MachineDeployment CRD is going to be removed but currently the cluster-autoscaler component assumes that the resource is present even though it won't scale MachineDeployment-based resources.

The autoscaler needs to be updated to remove any dependency on the MachineDeployment resource being present on the cluster.


https://jira.coreos.com/browse/CLOUD-475

Comment 2 Andrew McDermott 2019-04-18 18:09:20 UTC
Additional PR: https://github.com/openshift/cluster-api/pull/29

Comment 5 sunzhaohua 2019-04-23 08:37:54 UTC
Verified.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.1.0-0.nightly-2019-04-22-005054   True        False         25h     Cluster version is 4.1.0-0.nightly-2019-04-22-005054

tc: https://polarion.engineering.redhat.com/polarion/#/project/OSE/workitem?id=OCP-23341

Comment 7 errata-xmlrpc 2019-06-04 10:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.